pods::SDL::PixelFormat(3pm)

NAME
SDL::PixelFormat - Stores surface format information

  CATEGORY
Core, Video, Structure

SYNOPSIS
        my $surface = SDL::Surface->new( ...
        $surface->format; #this returns the PixelFormat object attached to this surface

PixelFormat is only created in a "SDL::Surface". This module only provides getters to the surface's pixelformat. Later on we will provide setting capability.

DESCRIPTION
An "SDL::PixelFormat " stores surface format information

METHODS

  palette
        $surface->format->palette;

Returns the "SDL_Palette" and SDL::Palette of the format of the surface.

  BitsPerPixel
        $surface->format->BitsPerPixel;

The number of bits used to represent each pixel in a surface. Usually 8, 16, 24 or 32. (1 to 7 are not allowed when creating a surface or open a video mode

  BytesPerPixel
        $surface->format->BytesPerPixel;

The number of bytes used to represent each pixel in a surface. Usually one to four.

  [RGBA]loss
        $surface->format->Rloss; #red   loss
        $surface->format->Bloss; #blue  loss
        $surface->format->Gloss; #green loss
        $surface->format->Aloss; #alpha loss

Precision loss of each color component (2[RGBA]loss)

  [RGBA]shift
        $surface->format->Rshift; #red   shift
        $surface->format->Bshift; #blue  shift
        $surface->format->Gshift; #green shift
        $surface->format->Ashift; #alpha shift

Binary left shift of each color component in the pixel value

  [RGBA]mask
        $surface->format->Rmask; #red   mask
        $surface->format->Bmask; #blue  mask
        $surface->format->Gmask; #green mask
        $surface->format->Amask; #alpha mask

Binary left shift of each color component in the pixel value

  colorkey
        $surface->format->colorkey;

Pixel value of transparent pixels.

  alpha
        $surface->format->alpha;

Overall surface alpha value

SEE ALSO
SDL::Surface

AUTHORS
See "AUTHORS" in SDL.